#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tie
%define		pnam	IxHash
Summary:	Tie::IxHash - ordered associative arrays for Perl
Summary(pl.UTF-8):	Tie::IxHash - uporządkowane tablice asocjacyjne dla Perla
Name:		perl-Tie-IxHash
Version:	1.23
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/C/CH/CHORNY/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8393f2ced231533c3e714abad582f291
URL:		http://search.cpan.org/dist/Tie-IxHash/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl module implements Perl hashes that preserve the order in
which the hash elements were added. The order is not affected when
values corresponding to existing keys in the IxHash are changed. The
elements can also be set to any arbitrary supplied order. The familiar
perl array operations can also be performed on the IxHash.

%description -l pl.UTF-8
Ten moduł Perla jest implementacją haszy, które zachowują kolejność, w
jakiej elementy były dodawane. Kolejność nie ulega zmianie kiedy
modyfikowane są wartości odpowiadające istniejącym kluczom w obiekcie
IxHash. Elementy mogą być także ustawiane w zadanej kolejności. Znane
operacje na tablicach perlowych mogą być także wykonywane na typie
IxHash.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Tie/IxHash.pm
%{_mandir}/man3/Tie::IxHash.3pm*
%changelog
* Thu Oct 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Tie-IxHash.git;a=log;h=master

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5530668
- up to 1.23

* Sun Mar 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 8904db9
- updated to 1.22

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e7b60c5
- release 12

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ab69c6c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cda9986
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> a282aa7
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 483eb78
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> 12b243f
- tests added, licence fix, cosmetics

* Thu Dec 25 2003 migo <migo@pld-linux.org> 737070e
- fixed License

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 7cd30b7
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 4740fc3
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 4d6ac31
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 8319dca
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 1bdb93e
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 5e09ed3
- should be ready for perl-5.8.0; release++

* Mon Feb 24 2003 radek <radek@pld-linux.org> 257111b
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 23af602
- massive attack: change CPAN URLs

* Fri Aug 16 2002 Jakub Bogusz <qboosh@pld-linux.org> d4d2ba5
- pl description, release++

* Sun Aug 11 2002 radek <radek@pld-linux.org> ae7aa68
- release up

* Sun Aug 11 2002 radek <radek@pld-linux.org> 2b144f1
- (automatic) provided informative description

